Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356759 - BUG - volume list inconsistent between plain and json formats
Summary: BUG - volume list inconsistent between plain and json formats
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Michael Adam
QA Contact: Jonathan Holloway
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 01:47 UTC by Paul Cuzner
Modified: 2018-04-16 18:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-16 18:19:02 UTC


Attachments (Terms of Use)

Description Paul Cuzner 2016-07-15 01:47:08 UTC
Description of problem:
The output of the volume list command is inconsistent between the plain text output and json versions

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.root@rhose-master registry]# heketi-cli volume list --json
{"volumes":["de7e2c92c7bef9296c73af32a8668247","e56b77092735b72fb0469df29d73cca0"]}

[root@rhose-master registry]# heketi-cli volume list
Id:de7e2c92c7bef9296c73af32a8668247 Cluster:22f2a31a565861a2dd007248d99a03f0 Name:heketidbstorage
Id:e56b77092735b72fb0469df29d73cca0 Cluster:22f2a31a565861a2dd007248d99a03f0 Name:vol_e56b77092735b72fb0469df29d73cca0
2.
3.

Actual results:
json outout does not show the same data as the plain text version

Expected results:
json output should contain the same fields as return by a plain text version of the command

Additional info:

Comment 2 Luis Pabón 2016-07-18 12:07:41 UTC
Not really.  The JSON output is the output according to the API specification.  The volume list strings are just and addon on top API specification to make it pretty for the user.

We can probably add a string to the JSON help screen saying that it will be equal to the API specification.

Comment 4 Luis Pabón 2016-10-05 21:44:51 UTC
We are currently determining if JSON should be removed from the CLI.  See:

https://github.com/heketi/heketi/issues/540


Note You need to log in before you can comment on or make changes to this bug.